Subject: [MMUSIC] streaming proxy : live splitting

From: "khaled" <[email-masked]>
Date: Mon, 07 Mar 2005 19:13:34 GMT

Hello,
for my studies, I've to program a streaming proxy to use with RealPlayer by students at the university.
The students will connect to the proxy, which will connect to the server.

When several students connect for the same stream on the same server (for online tv, or radio for example), live streamind exactly, the proxy must create only one connection to the server, and then distribute the strams to the students (live splitting).

But students would also to view videos or audios whose are not live, so they will not start viewing at the same time and each student may interact with the stream. In this case, connections will be created to the servers for each student (the proxy may also use a cache system).

So how I can do to know if a student or more are viewing a live video/audio, and so create only one connection to the server?

Can I know it from the RTSP requests or something else?

How is it possible?

Thanks.

C est le moment de dynamiser votre boîte mail en découvrant les offres CaraMail Max et Pro - http://www.caramail.com

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic